Bug 459877 - cloning an image over an existing disk file returns a wrong error
cloning an image over an existing disk file returns a wrong error
Status: CLOSED UPSTREAM
Product: Virtualization Tools
Classification: Community
Component: virtinst (Show other bugs)
unspecified
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Berrange
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-23 08:48 EDT by Baptiste Mille-Mathias
Modified: 2010-03-16 13:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-03 15:13:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Baptiste Mille-Mathias 2008-08-23 08:48:39 EDT
version: 0.4.4

# virt-clone -o vm_debian1 -n vm_debian2 -f /media/disk/vm02.img
ERROR:  Disk size must be an int or a float.
^^^^^^^^^^^
|_ the message is not related to the real error.

Once I deleted the file /media/disk/vm02.img, the cloning operation succeeded (btw it could be fine to allow to overwrite the target image)
Comment 1 Cole Robinson 2008-09-03 15:13:21 EDT
This is actually an issue in the python-virtinst package.

I've fixed this upstream: now if you try -f 'some-existing-file', virt-clone will prompt the user saying something like "This will overwrite 'file', are you sure you want to use this path?" Which seems a sufficient solution to me.

http://hg.et.redhat.com/virt/applications/virtinst--devel?cs=dade986aa3bd

Closing as UPSTREAM.

Note You need to log in before you can comment on or make changes to this bug.